/* 
 * Copyright (C) 2013 Oliver J 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __EEPROM_H__
#define __EEPROM_H__

int eeprom_24C_read(uint8_t i2c_base_addr , uint8_t *buffer , int EepromSize1K);

int eeprom_24C_write(uint8_t i2c_base_addr , uint8_t *buffer , int EepromSize1K);

int eeprom_93C_read(uint8_t *buffer , int EepromSize);

int eeprom_93C_write(uint8_t *buffer , int EepromSize);

#endif //__EEPROM_H__
